%define momorel 22

Summary: An X Window System based image viewer.
Name: xloadimage
Version: 4.1
Release: %{momorel}m
License: MIT/X
Group: Amusements/Graphics
Source: ftp://ftp.x.org/R5contrib/xloadimage.4.1.tar.gz
Patch0: xloadimage.4.1-linux.patch
Patch1: xloadimage.4.1-nobr.patch
Patch2: xloadimage-1.4-errno.patch
Patch3: xloadimage-1.4-varargs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
The xloadimage utility displays images in an X Window System window,
loads images into the root window, or writes images into a file.
Xloadimage supports many images types (GIF, TIFF, JPEG, XPM, XBM,
etc.).

Install the xloadimage package if you need a utility for displaying
images or loading images into the root window.

%prep
%setup -q -n xloadimage.4.1
%patch0 -p1
%patch1 -p1 -b .nobr~
%patch2 -p1 -b .errno~
%patch3 -p1 -b .varargs~

cd jpeg
mv Makefile Makefile.orig
ln -s makefile.ansi Makefile

%build
xmkmf
cd jpeg
make libjpeg.a
cd ..
make 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/lib/X11/app-defaults

make	DESTDIR=%{buildroot} \
	SYSPATHFILE=%{buildroot}/usr/X11R6/lib/X11/app-defaults/Xloadimage \
	install install.man

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/lib/X11/app-defaults/Xloadimage
/usr/X11R6/bin/xloadimage
/usr/X11R6/bin/xview
/usr/X11R6/bin/xsetbg
/usr/X11R6/bin/uufilter
/usr/X11R6/man/man1/uufilter.*
/usr/X11R6/man/man1/xloadimage.*

%changelog
* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (4.2-22m)
- revised spec for rpm 4.2.

* Fri Oct 10 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (4.2-21m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Jul 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.1-20m)
- use stdarg.h instrad of varargs.h

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.1-19m)
- add xloadimage-1.4-errno.patch

* Fri Nov 10 2000 Kenichi Matsubara <m@kondara.org>
- bugfix Source:.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (4.1-13).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
